## sibelia 3.0.7%2Bdfsg

=== debian/changelog ===
sibelia (3.0.7+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Added patch for SeqAn2 2.5.0 support. Closes: #1125659
  * Lintian tag adjustment
  * Standards-Version: 4.7.3 (routine-update)
  * Use secure URI in Homepage field.
  * Apply multi-arch hints:
      sibelia-examples: Add Multi-Arch: foreign.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 24 Jan 2026 19:23:22 +0100

sibelia (3.0.7+dfsg-5) unstable; urgency=medium

  * Fix build with CMake 4
    Closes: #1113499
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Oct 2025 21:10:24 +0200

sibelia (3.0.7+dfsg-4) experimental; urgency=medium

  * Team upload.
  * d/control: Experimental rebuild using the 3rd release candidate of
    SeqAn 2.5.0
  * Added patch for the explicit seqan2 namespace.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Nov 2024 15:20:04 +0100

sibelia (3.0.7+dfsg-3) unstable; urgency=medium

  * Enable binary-all builds
    Closes: #956575

 -- Andreas Tille <tille@debian.org>  Tue, 14 Apr 2020 10:29:51 +0200

sibelia (3.0.7+dfsg-2) unstable; urgency=medium

  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 27 Mar 2020 22:52:10 +0100

sibelia (3.0.7+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #922377)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Jan 2020 21:05:58 +0100

## sibelia 3.0.7+dfsg

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(Sibelia CXX)
add_subdirectory(libdivsufsort-2.0.1)
set(CMAKE_BUILD_TYPE Release)
if(STATIC_LINKAGE)
	list(APPEND CMAKE_C_FLAGS "-static-libgcc")
	list(APPEND CMAKE_CXX_FLAGS "-static-libgcc -static-libstdc++")
endif()

include_directories(${Sibelia_SOURCE_DIR}/include ${libdivsufsort_BINARY_DIR}/include)
add_executable(Sibelia sibelia.cpp postprocessor.cpp indexedsequence.cpp util.cpp outputgenerator.cpp blockfinder.cpp blockinstance.cpp bifurcationstorage.cpp bulgeremoval.cpp dnasequence.cpp edge.cpp fasta.cpp serialization.cpp synteny.cpp test/unrolledlisttest.cpp platform.cpp stranditerator.cpp vertexenumeration.cpp resource.cpp)
target_link_libraries(Sibelia divsufsort)
set(CMAKE_PROJECT_NAME Sibelia)
set(ROOT_DIR "${CMAKE_SOURCE_DIR}/../")

if(WIN32)
	install(TARGETS Sibelia RUNTIME DESTINATION bin)
	install(DIRECTORY utils DESTINATION .)
	install(DIRECTORY ${ROOT_DIR}/examples/ DESTINATION examples)
	install(FILES ${ROOT_DIR}/NEWS.md ${ROOT_DIR}/ANNOTATION.md ${ROOT_DIR}/README.md ${ROOT_DIR}/USAGE.md ${ROOT_DIR}/INSTALL.md ${ROOT_DIR}/SIBELIA.md ${ROOT_DIR}/C-SIBELIA.md ${ROOT_DIR}/LICENSE.txt DESTINATION .)
else()
	set(LIB_DIR "lib/Sibelia")
	set(SHARE_DIR "share/Sibelia")
	set(DOC_DIR "share/Sibelia/doc")
	install(TARGETS Sibelia RUNTIME DESTINATION bin)
	install(FILES ${ROOT_DIR}/NEWS.md ${ROOT_DIR}/ANNOTATION.md ${ROOT_DIR}/README.md ${ROOT_DIR}/USAGE.md ${ROOT_DIR}/INSTALL.md ${ROOT_DIR}/SIBELIA.md ${ROOT_DIR}/C-SIBELIA.md ${ROOT_DIR}/LICENSE.txt DESTINATION ${DOC_DIR})
	install(DIRECTORY ${ROOT_DIR}/examples/ DESTINATION ${DOC_DIR}/examples)

	if(NOT ONLY_SIBELIA)
		include(ExternalProject)
		externalproject_add(lagan URL "${CMAKE_SOURCE_DIR}/lagan" PREFIX lagan CONFIGURE_COMMAND "" BUILD_COMMAND make BUILD_IN_SOURCE 1 INSTALL_COMMAND "")
		externalproject_get_property(lagan SOURCE_DIR)
		install(PROGRAMS csibelia/C-Sibelia.py DESTINATION bin)
		install(PROGRAMS annotation/snpEffAnnotate.py DESTINATION bin)
		install(DIRECTORY annotation/snpEff DESTINATION ${LIB_DIR})
		install(DIRECTORY utils DESTINATION ${SHARE_DIR})
		install(DIRECTORY ${SOURCE_DIR} DESTINATION ${LIB_DIR} FILE_PERMISSIONS USE_SOURCE_PERMISSIONS DIRECTORY_PERMISSIONS USE_SOURCE_PERMISSIONS REGEX "${SOURCE_DIR}/Readmes|Makefile|${SOURCE_DIR}/src" EXCLUDE)
	endif()

endif()

set(CPACK_NSIS_MODIFY_PATH "ON")
set(CPACK_SOURCE_IGNORE_FILES "\\\\.git.*;/build/.+;${CPACK_SOURCE_IGNORE_FILES};")
set(CPACK_RESOURCE_FILE_LICENSE "${ROOT_DIR}/LICENSE.txt")
set(CPACK_PACKAGE_NAME "Sibelia")
set(CPACK_PACKAGE_VENDOR "Saint Petersburg Academical University")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Sibelia is a tool for finding synteny blocks in closely related genomes")
set(CPACK_PACKAGE_VERSION_MAJOR "3")
set(CPACK_PACKAGE_VERSION_MINOR "0")
set(CPACK_PACKAGE_VERSION_PATCH "7")
set(CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "Sibelia")
set(CMAKE_SOURCE_DIR ${ROOT_DIR})
include(CPack)

=== debian/control ===
Source: sibelia
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libdivsufsort-dev,
 libboost-dev,
 libseqan2-dev,
 libtclap-dev,
 libhts-dev,
Vcs-Browser: https://salsa.debian.org/med-team/sibelia
Vcs-Git: https://salsa.debian.org/med-team/sibelia.git
Homepage: http://bioinf.spbau.ru/sibelia
Rules-Requires-Root: no

Package: sibelia
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 python3,
 lagan,
Suggests:
 sibelia-examples,
Description: comparative genomics tool
 Sibelia (Synteny Block ExpLoration tool) is a comparative genomics tool:
 It assists biologists in analysing the genomic variations that correlate
 with pathogens, or the genomic changes that help microorganisms adapt in
 different environments. Sibelia will also be helpful for the
 evolutionary and genome rearrangement studies for multiple strains of
 microorganisms.
 .
 Sibelia is useful in finding:
 .
  1) shared regions,
  2) regions that present in one group of genomes but not in others,
  3) rearrangements that transform one genome to other genomes.

Package: sibelia-examples
Architecture: all
Depends:
 ${misc:Depends},
Description: comparative genomics tool (example data)
 Sibelia (Synteny Block ExpLoration tool) is a comparative genomics tool:
 It assists biologists in analysing the genomic variations that correlate
 with pathogens, or the genomic changes that help microorganisms adapt in
 different environments. Sibelia will also be helpful for the
 evolutionary and genome rearrangement studies for multiple strains of
 microorganisms.
 .
 Sibelia is useful in finding:
 .
  1) shared regions,
  2) regions that present in one group of genomes but not in others,
  3) rearrangements that transform one genome to other genomes.
 .
 This package contains example data for sibelia.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --sourcedirectory=src

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_install:
	dh_install
	find debian -name LICENSE.txt -delete
	find debian -name INSTALL.md -delete

override_dh_installman-arch:
	dh_installman -a
#	mkdir -p debian/$(DEB_SOURCE)-annotate//usr/share/man/man1
#	mv debian/$(DEB_SOURCE)-annotate/usr/share/man/py/man1/snpEffAnnotate.1 debian/$(DEB_SOURCE)-annotate/usr/share/man/man1/snpEffAnnotate.py.1
#	rm -rf debian/$(DEB_SOURCE)-annotate/usr/share/man/py/
	mv debian/$(DEB_SOURCE)/usr/share/man/py/man1/C-Sibelia.1 debian/$(DEB_SOURCE)/usr/share/man/man1/C-Sibelia.py.1
	rm -rf debian/$(DEB_SOURCE)/usr/share/man/py

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test --no-parallel
endif
